# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/ioOBJ.hpp File Reference

`#include <vlCore/String.hpp>`
`#include <vlGraphics/Geometry.hpp>`
`#include <vlCore/ResourceLoadWriter.hpp>`
`#include <vlCore/ResourceDatabase.hpp>`
`#include <map>`

Go to the source code of this file.

## Classes

class | vl::LoadWriterOBJ
| The LoadWriterOBJ class is a ResourceLoadWriter capable of reading OBJ files. More...
class | vl::ObjTexture
| Represents a Wavefront OBJ texture. See also ObjMaterial and ObjLoader. More...
class | vl::ObjMaterial
| Represents a Wavefront OBJ material as loaded from an MTL file. See also ObjLoader. More...
class | vl::ObjMesh
| Represents a Wavefront OBJ mesh. See also ObjLoader. More...
class | vl::ObjLoader
| Loads a Wavefront OBJ file. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Functions

VLGRAPHICS_EXPORT ref < ResourceDatabase > | vl::loadOBJ (const String &path)
| Loads a Wavefront OBJ file. See also ObjLoader.
VLGRAPHICS_EXPORT ref < ResourceDatabase > | vl::loadOBJ (VirtualFile *file)
| Loads a Wavefront OBJ file. See also ObjLoader.

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:52.
Permission is granted to use this page to write and publish articles regarding Visualization Library.